<?php

class Email {

    public static function enviar($para, $assunto, $html, $variaveis = "") {
        if ($_SERVER['SERVER_NAME'] == 'localhost') {
            return true;
        } else {
            $headers = "MIME-Version: 1.0\r\n";
            $headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
            $headers .= "From: Lua Azul Bijoux <contato@luaazulbijoux.com.br>\r\n";
            $corpo = "";
            if (file_exists(PATHEMAIL . $html)) {
                $corpo = file_get_contents(PATHEMAIL . $html);
                // substitui variaveis
                if (is_array($variaveis)) {
                    foreach ($variaveis as $nomeVar => $valorVar) {
                        $corpo = str_replace("$$nomeVar", $valorVar, $corpo);
                    }
                }
            } else {
                return false;
            }
            if (mail($para, $assunto, utf8_decode($corpo), $headers)) {
                return true;
            } else {
                return false;
            }
        }
    }

}

?>